<?php
date_default_timezone_set('PRC');//时间段为北京时间
include("sql/conn.php"); 
session_start(); 
?>
<?php  $lbjf = $_SESSION['jlf'];    ?>

<?php
$iipp = $_SERVER["REMOTE_ADDR"];
$noww = time();
?>


<?php
if ($_GET['id']=="ok")
{
$tm = $_POST['tm']; 
$nr = $_POST['nr'];
$tm = strip_tags ($tm); 
$nr = strip_tags ($nr,'<br><b><a><img><P><OL><LI><UL><BLOCKQUOTE><STRONG><EM><U>'); 
$tm = html_entity_decode($tm, ENT_NOQUOTES);
$nr = html_entity_decode($nr, ENT_NOQUOTES);
$_POST[fl]='zz';

mysql_query("INSERT INTO wz (tm, fl, bz, nr,time) VALUES ('$tm','$_POST[fl]','$_POST[bz]','$nr','".$noww."')");

mysql_query("INSERT INTO text (name, time, ip, ing, f, bz) 
VALUES ('".$_SESSION['name']."', '".$noww."', '".$iipp."', '加文章', '0', '')");


echo "<script>alert('".$nr."发布成功,您可以联系管理员审核，成功后，就可以显示在前台了！');</script>";

$url = "wzfb.php";   
echo "<script type=text/javascript>";   
echo "window.location.href=$url";   
echo "</script>";  

}
?>




<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312" />
<title>游戏新闻自助发布 <?php include("adm/all/gjz.txt"); ?> </title>
<meta name="description" content="游戏新闻自助发布 <?php include("adm/all/description.txt"); ?> " />
<meta name="keywords" content="游戏新闻自助发布 <?php include("adm/all/gjz.txt"); ?> " />
<link  href="css/css<?php include("adm/all/css.txt"); ?>.css" rel="stylesheet" type="text/css">


<style type="text/css">
#fbfbfb{
	color: #333333;
	font-size: 18px;
}
.fbtext{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #333333;
	height: 25px;
	width: 298px;
	font-weight: bold;
	font-size: 16px;
}
.texty{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #333333;
	height: 25px;
	width: 58px;
	font-weight: bold;
	font-size: 16px;
}
.textd{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #333333;
	height: 25px;
	width: 28px;
	font-weight: bold;
	font-size: 16px;
}
.fbselect{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #333333;
	height: 25px;
	width: 98px;
	font-weight: bold;
	font-size: 16px;
}
.input{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #333333;
	height: 25px;
	width: 98px;
	font-weight: bold;
	font-size: 16px;
}
.textbig{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #000000;
	height: 138px;
	width: 268px;
	font-weight: bold;
	font-size: 16px;
}
.textsm{
	border: 1px solid #AFC2AF;
	background-color: #F4F8F3;
	color: #000000;
	height: 50px;
	width: 268px;
	font-weight: bold;
	font-size: 16px;
}

</style>

</head>


<body >
<div id="top">
<?php include("user.php");  ?>
</div>
<?php  include("gh.php");  ?>
<div align="center">

<?php include("logo.php");  ?>

<div id="dh" ><?php 
 if(file_exists("dh1.php"))
 {
include("dh1.php"); 
 }
 else
 {
include("action/dh1.php"); 
 }
?></div>

</div>

<?php 
 if(file_exists("top.php"))
 {
include("top.php"); 
 }
 else
 {
include("action/top.php"); 
 }
?><div class="clear"></div>


<div align="center">

<div id="nr">

<div class="RoundedCorner">

<b class="rtop"><b class="r1"></b><b class="r2"></b><b class="r3"></b><b class="r4"></b></b>
<div id=fbfbfb >

<table   >
  <form action="wzfb.php?id=ok" method="post">
  <tr>
    <td height="20" colspan="3"><h3 align="center">发 布 文 章</h3></td>
  </tr>
  <tr>
    <td height="20" colspan="3"><hr></td>
    </tr>
  <tr>
    <td height="20">题　目:</td>
    <td><div align="left">
      <input name="tm" type="text" value="" size="68" />
    </div></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td height="20">宣传图:</td>
    <td><div align="left">
      <input name="bz" type="text" size="68" />
    </div></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td height="112">内　容:</td>
    <td>
      <div align="left">
        <textarea name="nr" style="width:458px;height:300px;"></textarea>
        </div></td>
    <td><textarea style="width:108px;height:300px;">
&lt;img src=&quot;2222&quot; &gt;
&lt;img src=&quot;1111&quot; &gt;
&lt;p&gt;&lt;/p&gt;
&lt;br&gt;	
&lt;p&gt;&lt;/p&gt;
&lt;br&gt;
&lt;br&gt;&lt;b&gt;&lt;a&gt;&lt;img&gt;&lt;P&gt;&lt;OL&gt;&lt;LI&gt;&lt;UL&gt;&lt;BLOCKQUOTE&gt;&lt;STRONG&gt;&lt;EM&gt;&lt;U&gt;&lt;u&gt;&lt;em&gt;&lt;strong&gt;&lt;a&gt;&lt;b&gt;
</textarea></td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td colspan="2"><div align="left">
      <input name="发布" type="submit" / value="提交[<?php echo $_SESSION['jf']; ?>]" <?php 
include("adm/zysj.php");

if ($_SESSION['jf']<= $fws )
{
echo "disabled"; 
}

 ?> />　　
      积分不足按钮为灰，联系管理员。</div></td>	
    </tr>
	
<tr>
    <td height="20" colspan="3"><hr></td>
    </tr>	
	
  <tr>
    <td colspan="3"><textarea cols="98" rows="3">由于发布文章的，都是站长，这个地方，就不放置繁琐的EDIT了，可以直接输入HTML语言
&lt;br&gt;&lt;b&gt;&lt;a&gt;&lt;img&gt;&lt;P&gt;&lt;OL&gt;&lt;LI&gt;&lt;UL&gt;&lt;BLOCKQUOTE&gt;&lt;STRONG&gt;&lt;EM&gt;&lt;U&gt;&lt;u&gt;&lt;em&gt;&lt;strong&gt;&lt;a&gt;&lt;b&gt;
这些标签是可以支持的，除此之外一切标签过滤
</textarea></td>
    </tr>
</form></table>
  <p>&nbsp;</p>
</div>

<b class="rbottom"><b class="r4"></b><b class="r3"></b><b class="r2"></b><b class="r1"></b></b>
</div>

</div></div>







<div class="clear"></div>




<div align="center"><div id="nr">


<div class="RoundedCorner">
<b class="rtop"><b class="r1"></b><b class="r2"></b><b class="r3"></b><b class="r4"></b></b>

<?php include("ad/ad1.txt"); ?>

<b class="rbottom"><b class="r4"></b><b class="r3"></b><b class="r2"></b><b class="r1"></b></b>
</div>


</div></div>


<div class="clear"></div>


<?php 
 if(file_exists("foot.php"))
 {
include("foot.php"); 
 }
 else
 {
include("action/foot.php"); 
 }
?>

<?php 

include("sql/close.php");



if (empty($_SESSION['name']))
{
echo "<script>alert('您需要先登陆');</script>";
echo "<meta http-equiv=refresh content=1;url=index.php>";

header("Location: ../index.php");
$_GET['id'] = "";
}




?>


</body>

